Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.quality.trec
Class Trec1MQReader

    java.lang.Object
      org.apache.lucene.benchmark.quality.trec.Trec1MQReader

    public class Trec1MQReader

extends Object

Read topics of TREC 1MQ track.

Expects this topic format -

       qnum:qtext

Comment lines starting with '#' are ignored.

All topics will have a single name value pair.

Constructor Summary
`Trec1MQReader(String name)` Constructor for Trec's 1MQ TopicsReader

Method Summary
`QualityQuery[]` | `readQueries(BufferedReader reader)` Read quality queries from trec 1MQ format topics file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Trec1MQReader

    public Trec1MQReader(String name)

  Constructor for Trec's 1MQ TopicsReader

  Parameters:
    `name` - name of name-value pair to set for all queries.

Method Detail

### readQueries

    public QualityQuery[] readQueries(BufferedReader reader)
                               throws IOException

  Read quality queries from trec 1MQ format topics file.

  Parameters:
    `reader` - where queries are read from.
  Returns:
    the result quality queries.
  Throws:
    `IOException` - if cannot read the queries.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.